#sezPrinc
{
    height: 43vh;
    min-height: 406px;
}

#sezPrinc H1
{
    font-size: 42px;
    margin-top: 143px;
}


#sezPrinc H2 {
    font-size: 34px;
    padding: 0px;
}

#PaginaCamere
{
    position: relative;
    background-color: var(--col-pag-princ);
    width: 100%;
    min-height: 300px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    flex-direction: column;
    color: black;
}

#SottotitoloCamere {
    width: 100%;
    height: max-content;
    text-align: center;
    position: relative;
    font-size: 25px;
    z-index: 1;
    color: white;
    background-color: #b17f5f;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    box-sizing: border-box;
}

.bloccoCamera
{
    position: relative;
    width: 100%;
    height: 240px;
    display: flex;
    background-repeat: no-repeat;
    background-position: 0 65%;
    background-size: cover;
    align-items: center;
    justify-content: center;
}

#camera1
{
    background-image: url("/Risorse/Camere-R/Stanza-1/copertina.png");
}

#camera2
{
    background-image: url("/Risorse/Camere-R/Stanza-2/copertina.png");
    background-position: 0 49%;
}

#camera3
{
    background-image: url("/Risorse/Camere-R/Stanza-3/copertina.png");
}

#camera4
{
    background-image: url("/Risorse/Camere-R/Stanza-4/copertina.png");
}


.effettoOscurante
{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    z-index: 2;
    transition: 1s;
}

.lineaCamera
{
    position: absolute;
    width: 60%;
    height: 1px;
    background-color: black;
    margin: auto;
    z-index: 3;
    top:0;
}

.lineaFineCamera
{
    position: absolute;
    width: 60%;
    height: 1px;
    background-color: black;
    margin: auto;
    z-index: 3;
    bottom:0;
}

.filtroImg
{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    bottom: 0;
    background-color: rgb(43 42 42 / 47%);
}

.rigaBloccoCamera
{
    width: 50%;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 4;
}

.rigaBloccoCamera .nomeCamera
{
    width: 90%;
    height: 100%;
    display: flex;
    align-items: center;
    font-size: 40px;
    color: black;
    transition: 1s;
}

.rigaBloccoCamera .pulsanteCamera
{
    position: relative;
    width: 60px;
    height: 60px;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
    transition: 1s;
}


.bloccoCamera:hover .effettoOscurante
{
    height: 0%;
}


.bloccoCamera:hover .rigaBloccoCamera .nomeCamera
{
    color: white;
    transform: scale(1.1);
}

.bloccoCamera:hover .rigaBloccoCamera .pulsanteCamera 
{
    left: 30px;
}

.bloccoCamera:hover .rigaBloccoCamera .pulsanteCamera path 
{
    fill: white;
}

.bloccoCamera:hover + div .lineaCamera
{
    background-color: white;
}

.bloccoCamera:hover .lineaFineCamera
{
    background-color: transparent;
}

.bloccoCamera:hover .lineaCamera
{
    background-color: transparent;
    transition: 1.2s;
}

.bloccoCamera:last-child
{
    margin-bottom: 50px;
}


@media screen and (max-width: 760px){
    .rigaBloccoCamera .nomeCamera {
        font-size: 32px;
    }

    .rigaBloccoCamera
    {
        width: 70%;
    }

    .lineaCamera, .lineaFineCamera
    {
        width: 70%;
    }

    #SottotitoloCamere
    {
        font-size: 22px;
    }
}

@media screen and (max-width: 499px){
    .rigaBloccoCamera .nomeCamera
    {
        font-size: 29px;
    }

    .rigaBloccoCamera
    {
        width: 80%;
    }

    .lineaCamera, .lineaFineCamera
    {
        width: 80%;
    }

    #SottotitoloCamere
    {
        font-size: 17px;
    }
    
    #sfondoPric {
        object-position: center;
        height: 43vh;
    }
}

@media screen and (max-width: 340px){
    .rigaBloccoCamera .nomeCamera {
        font-size: 9vw;
    }
    
    .rigaBloccoCamera
    {
        width: 80%;
    }

    .lineaCamera, .lineaFineCamera
    {
        width: 80%;
    }

    #SottotitoloCamere
    {
        font-size: 6vw;
    }

    #sezPrinc H1 {
        font-size: 16vw;
        margin-top: 39vw;
    }

    #sezPrinc H2 {
        font-size: 13vw;
    }
}